MapBinder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class MapBinder

    java.lang.Object
      org.hibernate.cfg.annotations.CollectionBinder
          org.hibernate.cfg.annotations.MapBinder

    public class MapBinder

extends CollectionBinder

Implementation to bind a Map

Field Summary

Fields inherited from class org.hibernate.cfg.annotations.CollectionBinder
`cascadeDeleteEnabled, collection, hqlOrderBy, indexColumn, inheritanceStatePerClass, localGenerators, mapKeyPropertyName, propertyName`

Constructor Summary
`MapBinder()`
`MapBinder(boolean sorted)`

Method Summary
`protected Collection` | `createCollection(PersistentClass persistentClass)`
`protected Value` | `createFormulatedValue(Value value, Collection collection, String targetPropertyName, PersistentClass associatedClass, Mappings mappings)`
`SecondPass` | `getSecondPass(Ejb3JoinColumn[] fkJoinColumns, Ejb3JoinColumn[] keyColumns, Ejb3JoinColumn[] inverseColumns, Ejb3Column[] elementColumns, Ejb3Column[] mapKeyColumns, Ejb3JoinColumn[] mapKeyManyToManyColumns, boolean isEmbedded, org.hibernate.annotations.common.reflection.XProperty property, org.hibernate.annotations.common.reflection.XClass collType, boolean ignoreNotFound, boolean unique, TableBinder assocTableBinder, Mappings mappings)`
`boolean` | `isMap()`

Methods inherited from class org.hibernate.cfg.annotations.CollectionBinder
`bind, bindManytoManyInverseFk, bindManyToManySecondPass, bindOneToManySecondPass, bindStarToManySecondPass, getCollection, getCollectionBinder, getMappings, isHibernateExtensionMapping, setAccessType, setBatchSize, setCache, setCascadeDeleteEnabled, setCascadeStrategy, setCollectionType, setDeclaringClass, setEjb3OrderBy, setElementColumns, setEmbedded, setExplicitAssociationTable, setFkJoinColumns, setIgnoreNotFound, setIndexColumn, setInheritanceStatePerClass, setInsertable, setInverseJoinColumns, setIsHibernateExtensionMapping, setJoinColumns, setLocalGenerators, setMapKey, setMapKeyColumns, setMapKeyManyToManyColumns, setMappedBy, setMappings, setOneToMany, setProperty, setPropertyHolder, setPropertyName, setSort, setSqlOrderBy, setTableBinder, setTargetEntity, setUpdatable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapBinder

    public MapBinder(boolean sorted)

### MapBinder

    public MapBinder()

Method Detail

### isMap

    public boolean isMap()

  Overrides:
    `isMap` in class `CollectionBinder`

### createCollection

    protected Collection createCollection(PersistentClass persistentClass)

  Specified by:
    `createCollection` in class `CollectionBinder`

### getSecondPass

    public SecondPass getSecondPass(Ejb3JoinColumn[] fkJoinColumns,
                                    Ejb3JoinColumn[] keyColumns,
                                    Ejb3JoinColumn[] inverseColumns,
                                    Ejb3Column[] elementColumns,
                                    Ejb3Column[] mapKeyColumns,
                                    Ejb3JoinColumn[] mapKeyManyToManyColumns,
                                    boolean isEmbedded,
                                    org.hibernate.annotations.common.reflection.XProperty property,
                                    org.hibernate.annotations.common.reflection.XClass collType,
                                    boolean ignoreNotFound,
                                    boolean unique,
                                    TableBinder assocTableBinder,
                                    Mappings mappings)

  Overrides:
    `getSecondPass` in class `CollectionBinder`

### createFormulatedValue

    protected Value createFormulatedValue(Value value,
                                          Collection collection,
                                          String targetPropertyName,
                                          PersistentClass associatedClass,
                                          Mappings mappings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.